Subject: Re: bug#5303: 23.1.91; Cannot load .emacs-history from savehist.el

From: Chong Yidong <[email-masked]>
Date: Tue, 19 Jan 2010 14:30:38 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: "Drew Adams" <[email-masked]>
>> Date: Tue, 19 Jan 2010 09:39:46 -0800
>> Cc: [email-masked], 'Chong Yidong' <[email-masked]>
>> 
>> You are right that the problem seems to be `load', not Tramp. If I do (load
>> "c:/the-file.el"), then I get the "end-of-file during parsing" error. If I load
>> exactly the same file from another location, it loads fine: (load
>> "c:/somewhere/the-file.el").
>
> What is in the-file.el? will an empty file do? if not, what should be
> there to reproduce the problem?

Note by the way that Emacs 23.1 does not display this problem, so if
someone can reproduce this and has access to the repository, please try
to find the offending change by bisecting.